Bug 459408 - Unable to run efibootmgr
Unable to run efibootmgr
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: efibootmgr (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 12:11 EDT by Alexey Kuznetsov
Modified: 2010-06-28 06:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (48.67 KB, text/plain)
2008-08-26 12:31 EDT, Alexey Kuznetsov
no flags Details

  None (edit)
Description Alexey Kuznetsov 2008-08-18 12:11:53 EDT
[axet@axet-laptop VDI]$ efibootmgr 
Fatal: Couldn't open either sysfs or procfs directories for accessing EFI variables.
Try 'modprobe efivars' as root.
[axet@axet-laptop VDI]$ 
[axet@axet-laptop VDI]$ sudo efibootmgr 
Fatal: Couldn't open either sysfs or procfs directories for accessing EFI variables.
Try 'modprobe efivars' as root.
[axet@axet-laptop VDI]$ 


[axet@axet-laptop VDI]$ grep EFI /boot/config-2.6.25.14-108.fc9.i686 
CONFIG_EFI=y
CONFIG_FB_EFI=y
CONFIG_EFI_VARS=y
CONFIG_EFI_PARTITION=y
Comment 1 Matt Domsch 2008-08-26 11:24:26 EDT
Alexey, do you know that your laptop has a UEFI or EFI BIOS?
Comment 2 Alexey Kuznetsov 2008-08-26 11:50:40 EDT
Oh, yes! I have macbook pro. They support EFI and hdd formated as gpt. I have two os installed OS X and Fedora 9.
Comment 3 Matt Domsch 2008-08-26 12:24:44 EDT
ok, then I need a full dmesg dump from your system (/var/log/dmesg would be good) to see the EFI firmware signing on.  Also, what does:

ls -al /proc/efi/vars/
ls -al /sys/firmware/efi/vars/

show?  Are they present?
Comment 4 Alexey Kuznetsov 2008-08-26 12:30:18 EDT
[axet@axet-laptop ~]$ ls -al /proc/efi
ls: cannot access /proc/efi: No such file or directory
[axet@axet-laptop ~]$ ls -al /sys/firmware/efi
ls: cannot access /sys/firmware/efi: No such file or directory
[axet@axet-laptop ~]$
Comment 5 Alexey Kuznetsov 2008-08-26 12:31:18 EDT
Created attachment 315015 [details]
dmesg

now, i'm under kernel f10 but i have same issues under fedora 9 kernel
Comment 6 Matt Domsch 2008-08-26 17:45:30 EDT
was there ever a time when it did work?

your dmesg doesn't show any EFI sign-on, like it should, meaning the kernel doesn't think you have an EFI-enabled BIOS, so nothing which uses that (e.g. efivars and thus efibootmgr) will work either.

I know little of macbooks, so I'll have to defer to pjones.
Comment 7 Alexey Kuznetsov 2008-08-26 18:54:01 EDT
Never, that is first time when i tried to play with efi under linux. That was first experement to switch from refit to grub loader...
Comment 8 Fabian Deutsch 2008-09-22 08:57:55 EDT
I've also got a MacBook and can't use efibootmgr, but I hopse this could help to get around an annoying "white-screen" at boot-time when EFI scans the bootdevices.

Is there a way to help?
Comment 9 Fabian Deutsch 2009-03-06 14:19:49 EST
Any news on this - as this might be realted to the F11 EFI Features?
Comment 10 Chris Ward 2009-04-06 05:30:22 EDT
~Attention~

This bug appears to pertain to an important F11 feature, EFI, which the Fedora Community will be testing in an upcoming Fedora Test Day. Your participation in the action would be greatly appreciated!

More information:
https://fedoraproject.org/wiki/QA/Test_Days/2009-04-09
https://fedoraproject.org/wiki/Features/EFI
Comment 11 Fabian Deutsch 2009-04-06 11:17:34 EDT
Actually there were no changes to efivars.c within the last year (and a couple of months) so I don't see a reason why there shall be changes ...
Using a rawhide kernel /sys/firmware/efi does not show up.
Comment 12 Bug Zapper 2009-06-09 22:29:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Fabian Deutsch 2009-06-15 20:09:03 EDT
So. A fresh install of Fedora 11 on a MacBook and the issues is still open and can be reproduced.

It is very anoying, as the boot-time is increased by 20secs or so ...
Comment 14 Bug Zapper 2009-07-14 10:32:54 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 15 info@kobaltwit.be 2009-09-04 05:37:21 EDT
Same problem here. I've got a Macbook Pro as well, running Fedora 11.

In older releases of Fedora, I had to simulate a traditional BIOS MBR in order to be able to install and boot into Fedora. I don't know if this is still required for Fedora 11 as it should be EFI aware.

I just wonder if this fake BIOS MBR somehow confuses the system to believe it's looking at traditional BIOS hardware.

I would also love to see this issue fixed so I can fully manage my EFI boot configuration from linux.
Comment 16 Bug Zapper 2010-04-27 08:11:48 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2010-06-28 06:42:58 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.